using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace PicAFlick.App
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            string path = System.Configuration.ConfigurationManager.AppSettings["startpath"];
            PicAFlick.Domain.Folder folder = PicAFlick.Domain.DiskFolder.ImportFolder(path);
            Application.Run(new ImageLibraryMainForm(folder));
        }
    }
}